summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2015-03-28 02:26:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-28 02:26:21 +0700
commitf81059476dbad46193888ef13d46b3cb92145ad5 (patch)
tree6637afd233a475cc48a52a1e41997f87e54cf87c /system
parent9fad10e27089ed1b89893d572036ab86e09091b2 (diff)
downloadslackbuilds-f81059476dbad46193888ef13d46b3cb92145ad5.tar.gz
slackbuilds-f81059476dbad46193888ef13d46b3cb92145ad5.tar.xz
system/aha: Added (convert ANSI color/graphics to HTML).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/aha/README5
-rw-r--r--system/aha/aha.SlackBuild70
-rw-r--r--system/aha/aha.info10
-rw-r--r--system/aha/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/system/aha/README b/system/aha/README
new file mode 100644
index 0000000000..209bf1359d
--- /dev/null
+++ b/system/aha/README
@@ -0,0 +1,5 @@
+aha (convert ANSI color/graphics to HTML)
+
+aha (ANSI HTML Adapter) converts ANSI colors to HTML, e.g. if you want
+to publish the output of ls --color=yes, git diff, ccal or htop as static
+HTML somewhere.
diff --git a/system/aha/aha.SlackBuild b/system/aha/aha.SlackBuild
new file mode 100644
index 0000000000..f72fbf5d9f
--- /dev/null
+++ b/system/aha/aha.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for aha
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/
+# for details.
+
+PRGNAM=aha
+VERSION=${VERSION:-0.4.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS" PREFIX=/usr DESTDIR=$PKG all
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+install -s -m0755 $PRGNAM $PKG/usr/bin
+gzip -9c < $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/aha/aha.info b/system/aha/aha.info
new file mode 100644
index 0000000000..6a24f916ab
--- /dev/null
+++ b/system/aha/aha.info
@@ -0,0 +1,10 @@
+PRGNAM="aha"
+VERSION="0.4.8"
+HOMEPAGE="https://github.com/theZiz/aha"
+DOWNLOAD="https://github.com/theZiz/aha/archive/0.4.8.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="64f13247b1ff70367f0904dc48392ad8"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/aha/slack-desc b/system/aha/slack-desc
new file mode 100644
index 0000000000..2ae7a7ed8d
--- /dev/null
+++ b/system/aha/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+aha: aha (convert ANSI color/graphics to HTML)
+aha:
+aha: aha (ANSI HTML Adapter) converts ANSI colors to HTML, e.g. if you
+aha: want to publish the output of ls --color=yes, git diff, ccal or htop
+aha: as static HTML somewhere.
+aha:
+aha:
+aha:
+aha:
+aha:
+aha: